import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.notification_request import notification_request


class TestReadall:
    data = BaseRequest().api_load(path_setting.READALL)
    readall_case, readall_data = get_ids(data, "readall")

    @pytest.mark.skip
    @pytest.mark.parametrize("param",readall_data,ids=readall_case)
    def test_readall(self,param):
        r = notification_request().readall(param["uqid"], param["trace_id"],param["ua"])
        print(r)
        assert r["error"] == 0